﻿@using Mandiri.Lelang.WebAdminUI.Utility
@model Mandiri.Lelang.ViewModel.ChangePasswordViewModel

@{
    AjaxOptions submitAjaxOptions = new AjaxOptions();
    submitAjaxOptions.OnBegin = "OnAjaxRequestBegin";
    submitAjaxOptions.OnFailure = "OnCustomAjaxRequestFailure";
    submitAjaxOptions.OnSuccess = "OnCustomAjaxRequestSuccess";
    submitAjaxOptions.UpdateTargetId = "validation-summary";
}

@{
    AjaxOptions cancelAjaxOptions = new AjaxOptions();
    cancelAjaxOptions.OnBegin = "OnAjaxRequestBegin";
    cancelAjaxOptions.OnFailure = "OnCustomAjaxRequestFailure";
    cancelAjaxOptions.OnSuccess = "OnCustomAjaxRequestSuccess";
    cancelAjaxOptions.UpdateTargetId = "divAddForm";
}

<!--Center part-->
<div id="divAddForm" class="container">
    <div class="page-header">
        <h1>Change Password</h1>
    </div>
    @using (Ajax.BeginForm("ChangePassword", "User", ajaxOptions: submitAjaxOptions, htmlAttributes: new { id = "addForm", role = "form", autocomplete = "off" }))
    {
        <div class="col-md-5">
            @Html.AntiForgeryToken()
            @Html.Partial("_ValidationSummary")
            <div class="form-group">
                @Html.LabelFor(m => m.UserID, new { @class = "control-label" })
                <div class="controls">
                    <p class="form-control-static">@Html.ValueFor(m => m.UserID)</p>
                    @Html.HiddenFor(m => m.UserID)
                </div>
            </div>
            @Html.EditorFor(m => m.Username, additionalViewData: new { disabled = "disabled" })
            @Html.EditorFor(m => m.FullName, additionalViewData: new { disabled = "disabled" })
            @Html.EditorFor(m => m.Password, "Password", additionalViewData: new { placeholder = "Required", autofocus = "autofocus" })
            @Html.EditorFor(m => m.ConfirmPassword, "Password", additionalViewData: new { placeholder = "Required" })
            <button type="submit" onclick="return SubmitForm();" class="btn btn-primary" id="btnSubmitForm" name="btnSubmitForm" disabled="disabled">Save</button>
            <noscript><br/>Please enable the javascript in your browser and refresh the page</noscript>

            <script type="text/javascript">
                bindValidator("addForm");
            </script>
        </div>
    }
</div>

@section Scripts
{
    <script type="text/javascript">
        $(document).ready(function () {
            $("#btnSubmitForm").removeAttr("disabled");
        });

        function SubmitForm() {
            /*var settings = $.data($('form')[0], 'validator').settings;
            settings.ignore = ".ignore";*/
            $("#Password").val($("#Password").val().trim());
            if ($('form').valid()) {
                $("#Password").val(CryptoJS.SHA256(CryptoJS.MD5($("#Password").val())) + "1aA");
                $("#ConfirmPassword").val(CryptoJS.SHA256(CryptoJS.MD5($("#ConfirmPassword").val())) + "1aA");
                //$("#Password").addClass("ignore");
                //$("#ConfirmPassword").addClass("ignore");
                return true;
            }
            else {
                return false;
            }
        }

        function OnCustomAjaxRequestSuccess(data) {
            $.unblockUI();
            $("#Password").val("");
            $("#ConfirmPassword").val("");
        }
        function OnCustomAjaxRequestFailure(request, error) {
            $.unblockUI();
            $("#Password").val("");
            $("#ConfirmPassword").val("");
            showUnexpectedErrorGrowlNotification("@ViewBag.DefaultUnexpectedErrorMessage", "55px");
        }
    </script>
}